<template>
  <div class="footer">
    <div class="footer-top" />
    <div class="footer-links">
      <a href="https://sk-global.biz/" target="_blank" class="link-item"> © Copyright 2020 SPRING KNOWLEDGE GLOBAL JOINT STOCK COMPANY. ALL RIGHTS RESERVED</a>
    </div>
  </div>
</template>

<script>

export default {
  name: 'GlobalFooter',
  data () {
    return {
      year: new Date().getFullYear(),
      mailTo: ''
    }
  }
}
</script>

<style lang="scss" scoped>
.footer {
  margin: 48px 0 0 0;
  text-align: center;

  &-links {
    background-color: #ff7875;
    padding: 12px 0;

    .link-item {
      color: #fff;
    }
  }

  &--contact {
    display: flex;
    align-items: center;

    .contact--mail {
      display: flex;
      align-items: center;
      justify-content: space-between;

      .mailto-icon {
        width: 68px;
        height: 46px;
        padding-right: 12px;
      }
      .mailto-text {
        color: #1890ff;
        font-size: 16px;
      }
    }
    .vertical {
      width: 1px;
      height: 16px;
      margin: 0 8px;
      background: #1890ff;
    }
    .tel {
      span.h6 {
        font-size: 16px;
        padding: 0 2px;
      }
    }
    .working-time {
      font-size: 12px;
      padding-left: 8px;
      color: #BFBEBC;
    }
  }

  &-top {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 16px;
    margin-bottom: 12px;

    .copyright {
      color: rgba(0, 0, 0, 0.45);
      font-size: 14px;
    }
  }

}
</style>
